import { ManagerInterface } from '../../Manager/Manager.interface';
import { ConnectorInterface } from '../ConnectorInterface';
import { Manager } from '../../Manager/Manager.service';
/**
 * @dynamic
 */
export declare class Connector implements ConnectorInterface {
    connection: any;
    constructor();
    static load(manager: Manager): Promise<ConnectorInterface>;
    /**
     * Get connection handler for the websql adapter
     * @param manager
     */
    getConnection(manager: ManagerInterface): Promise<any>;
}
