/**
 * @dynamic()
 */
export declare class WebSQLAdapter {
    private websqlDatabase;
    constructor(websqlDatabase: any);
    /**
     * Execute SQL on the opened database. Note, you must call `create` first, and
     * ensure it resolved and successfully opened the database.
     */
    executeSql(statement: string, params: any): Promise<any>;
    transaction(callback: any): Promise<{}>;
}
