/**
 * The Column annotation allows to decorate a class field to describe the column property
 *
 * @param type The SQL type of the field
 * @param name The table field to override the default class property.
 * If omitted, the class property will be used
 */
export declare function Column(type: string, name?: string): any;
