export declare class ErrorUtils {
    static getMessage(error: any, defaultMessage?: string): string;
}
export declare class AdapterError extends Error {
}
export declare class ConnectionError extends Error {
}
export declare class SchemaError extends Error {
}
export declare class ManagerError extends Error {
}
export declare class RepositoryError extends Error {
}
export declare class NotImplemented extends Error {
    constructor(featurename: string);
}
