import { Type } from '@angular/core';
import { EntityInterface } from '../Entity/EntityInterface.interface';
import { ConfigurationInterface } from '../Configuration';
import { ConnectorInterface } from '../Adapters/ConnectorInterface';
export interface ManagerInterface {
    reset(): any;
    getConnection(): any;
    getConnector(): ConnectorInterface;
    setConnector(connector: ConnectorInterface): any;
    persist(entityInstance: EntityInterface): ManagerInterface;
    merge(entityInstance: EntityInterface): ManagerInterface;
    remove(entityInstance: EntityInterface): ManagerInterface;
    removeAll(constructorObject: Type<any>): ManagerInterface;
    flush(entityInstance?: EntityInterface): any;
    getConfiguration(): ConfigurationInterface;
    setConfiguration(configuration: ConfigurationInterface): ManagerInterface;
    getAdapter(): string;
}
export interface TaskInterface {
    entity: EntityInterface;
    type: string;
    hash?: string;
}
