import { Manager } from './Manager/Manager.service';
import { SchemaFactory } from './Schema/Factory.service';
import { SQLFactory } from './Schema/SQL.service';
import { Configuration } from './Configuration';
export declare function getSchemaFactory(manager: Manager, sqlFactory: SQLFactory): SchemaFactory;
/**
 *  @dynamic
 */
export declare class SqliteWebsqlOrmModule {
    manager: Manager;
    static configuration: Configuration;
    constructor(manager: Manager);
    static init(configuration: Configuration): typeof SqliteWebsqlOrmModule;
}
